{% extends 'base.html.twig' %}

{% block title %}Interface d'administration{% endblock %}

{% block stylesheets %}
    <!-- inclut la feuille de style spécifique a la page -->
    <link href="{{ asset('assets/css/admin.css') }}" rel="stylesheet">
{% endblock %}

{% block body %}
    {% if is_granted('ROLE_ADMIN') %}
        <!-- affiche le contenu de la page si l'utilisateur connécté est un administrateur -->
        <section>
            <div class="admin-content-box">
                <!-- affichage du titre -->
                <h1>Interface d'administration</h1>

                <hr class="hr-line">
                <!-- affichage des élément bouton de gestion du site -->
                <div class="admin-content">
                    <!-- boutton d'administration -->
                    <div class="admin-button-box">
                        <a href="{{ path('member') }}">
                            <div class="button">
                                Member
                            </div>
                        </a>
                        <!-- boutton d'administration -->
                        <a href="{{ path('category') }}">
                            <div class="button">
                                Category
                            </div>
                        </a>
                        <!-- boutton d'administration -->
                        <a href="{{ path('show_artwork') }}">
                            <div class="button">
                                Artwork
                            </div>
                        </a>
                        <!-- boutton d'administration -->
                        <a href="{{ path('comment') }}">
                            <div class="button">
                                Comment
                            </div>
                        </a>
                        <!-- boutton d'administration -->
                        <a href="{{ path('report_message') }}">
                        <div class="button">
                                Report
                            </div>
                        </a>
                        <!-- boutton d'administration -->
                        <a href="{{ path('add_faq') }}">
                            <div class="button">
                                FAQ
                            </div>
                        </a>
                        <!-- boutton d'administration -->
                        <a href="{{ path('photo') }}">
                            <div class="button">
                                Photo
                            </div>
                        </a>
                        <!-- boutton d'administration -->
                        <a href="{{ path('contact_message') }}">
                            <div class="button">
                                Contact
                            </div>
                        </a>

                    </div>
                </div>
            </div>


        </section>
    {% else %}
        <!-- affiche un message d'erreur si l'utilisateur n'est pas un administrateur -->
        <div class="error_box">
            <h1 class="error_message"><span
                        class="mark_message">Vous n'avez pas l'autorisation d'accéder à cette page.</span> Cette action
                requiert des droits d'administration. Si vous pensez qu'il s'agit d'une erreur, veuillez contacter
                l'administrateur du site pour obtenir de l'aide.</h1>
        </div>
    {% endif %}
{% endblock %}
